Voiceflow bearer token
Diff environment
curl --request GET \
--url https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/diff \
--header 'Authorization: Bearer <token>'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/diff?projectID=<projectID>', {
method: 'GET',
headers: {
Authorization: 'Bearer <token>',
},
});
const data = await response.json();import requests
response = requests.get(
'https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/diff?projectID=<projectID>',
headers={'Authorization': 'Bearer <token>'},
)
data = response.json()vf environment diff --environment-alias <environmentAlias> --project-id <projectID>{
"diff": {
"created": 0,
"updated": 0,
"deleted": 0,
"resources": [
{
"type": "<string>",
"id": "<string>",
"name": "<string>",
"change": "<StableEnvironmentDiffChange>"
}
],
"truncated": true
}
}Diff environment
Compare an environment’s draft with its last publish.
Paste in your agent
1. Set up Voiceflow by following https://www.voiceflow.com/agents/setup 2. Read https://www.voiceflow.com/docs/api-reference/environment/diff-environment.md — the Voiceflow documentation page "Diff environment". Use it to help me with this part of Voiceflow and answer my questions. Refer to https://www.voiceflow.com/docs/llms.txt if you need related documentation.
Prompt copied. Paste in your agent.
GET
/v1/stable/environment/{environmentAlias}/diff
Diff environment
curl --request GET \
--url https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/diff \
--header 'Authorization: Bearer <token>'const response = await fetch('https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/diff?projectID=<projectID>', {
method: 'GET',
headers: {
Authorization: 'Bearer <token>',
},
});
const data = await response.json();import requests
response = requests.get(
'https://realtime-api.voiceflow.com/v1/stable/environment/<environmentAlias>/diff?projectID=<projectID>',
headers={'Authorization': 'Bearer <token>'},
)
data = response.json()vf environment diff --environment-alias <environmentAlias> --project-id <projectID>{
"diff": {
"created": 0,
"updated": 0,
"deleted": 0,
"resources": [
{
"type": "<string>",
"id": "<string>",
"name": "<string>",
"change": "<StableEnvironmentDiffChange>"
}
],
"truncated": true
}
}Authorizations
Response
200 - application/jsonShow child attributes
Was this page helpful?
Thanks for your feedback.